Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDTRANSACTIONREGvalues

    java.lang.Object
      java.lang.Enum<CDTRANSACTIONREGvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDTRANSACTIONREGvalues

All Implemented Interfaces:
  Serializable, Comparable<CDTRANSACTIONREGvalues>

    public enum CDTRANSACTIONREGvalues

extends Enum<CDTRANSACTIONREGvalues>

Java class for CD-TRANSACTION-REGvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TRANSACTION-REGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="qermid-stent-intervention"/>
         <enumeration value="orthopride-intervention"/>
         <enumeration value="defib-intervention"/>
         <enumeration value="pacemaker-intervention"/>
         <enumeration value="arthritis-notification"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ARTHRITIS_NOTIFICATION`
`DEFIB_INTERVENTION`
`ORTHOPRIDE_INTERVENTION`
`PACEMAKER_INTERVENTION`
`QERMID_STENT_INTERVENTION`

Method Summary
`static CDTRANSACTIONREGvalues` | `fromValue(String v)`
`String` | `value()`
`static CDTRANSACTIONREGvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDTRANSACTIONREGvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QERMID_STENT_INTERVENTION

    public static final CDTRANSACTIONREGvalues QERMID_STENT_INTERVENTION

### ORTHOPRIDE_INTERVENTION

    public static final CDTRANSACTIONREGvalues ORTHOPRIDE_INTERVENTION

### DEFIB_INTERVENTION

    public static final CDTRANSACTIONREGvalues DEFIB_INTERVENTION

### PACEMAKER_INTERVENTION

    public static final CDTRANSACTIONREGvalues PACEMAKER_INTERVENTION

### ARTHRITIS_NOTIFICATION

    public static final CDTRANSACTIONREGvalues ARTHRITIS_NOTIFICATION

Method Detail

### values

    public static CDTRANSACTIONREGvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDTRANSACTIONREGvalues c : CDTRANSACTIONREGvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDTRANSACTIONREGvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDTRANSACTIONREGvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PHYSIOTHERAPIST 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.